Rezepte
ReferenceComments

/api/v1/comments

new marks comments by somebody else since the caller last opened the recipe's comments, for the recipe's author and members with a comment on it. Listing does not mark anything seen.

GET/api/v1/comments
rezepte_session<token>

Session cookie set by POST /api/v1/auth/login.

In: cookie

Query Parameters

recipeId*string

The recipe whose comments to list

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/v1/comments?recipeId=string"
{  "$schema": "https://example.com/api/v1/schemas/CommentList.json",  "comments": [    {      "$schema": "https://example.com/api/v1/schemas/Comment.json",      "author": {        "avatarId": "string",        "color": "string",        "displayName": "string",        "id": "string",        "username": "string"      },      "body": "string",      "canDelete": true,      "canEdit": true,      "createdAt": "2019-08-24T14:15:22Z",      "editedAt": "2019-08-24T14:15:22Z",      "id": 0,      "new": true    }  ]}